Bug 851583 - Review Request: gnome-abrt - System problems browser
Review Request: gnome-abrt - System problems browser
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Richard Marko
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-24 09:52 EDT by Jakub Filak
Modified: 2016-01-31 21:22 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-22 23:27:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rmarko: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jakub Filak 2012-08-24 09:52:43 EDT
Spec URL: http://jfilak.fedorapeople.org/packages/gnome-abrt.spec
SRPM URL: http://jfilak.fedorapeople.org/packages/gnome-abrt-0.2-6.fc17.src.rpm
Description:
A GNOME application allows users to browse through detected problems and
provides them with convenient way for managing these problems.

Fedora Account System Username: jfilak
Comment 1 Volker Fröhlich 2012-08-25 17:07:07 EDT
The build fails. I assume you forgot to require pylint.

Don't require the libreport-python subpackage, but rather the main package libreport. It will be installed anyway.

I suggest to drop the version constraints. As versions are now, it won't go to F16 or EPEL anyway. In the case of dbus-python, the limitation is irrelevant to Fedora in general.

You can simplify your files section by just using

%{python_sitelib}/gnome_abrt

instead of

%dir %{python_sitelib}/gnome_abrt
%{python_sitelib}/gnome_abrt/*

Rather use %{_mandir}/man6/%{name}.6* than 6.gz, as that might change.
Comment 2 Jakub Filak 2012-08-27 05:20:07 EDT
Spec URL: http://jfilak.fedorapeople.org/packages/gnome-abrt.spec
SRPM URL: http://jfilak.fedorapeople.org/packages/gnome-abrt-0.2-7.fc17.src.rpm
Spec diff: http://jfilak.fedorapeople.org/packages/spec-026-to-027.diff

Sorry for the failed build.

rpmlint gives me the following output now:
$ rpmlint gnome-abrt.spec gnome-abrt-0.2-7.fc17.src.rpm gnome-abrt-0.2-7.fc17.noarch.rpm  gnome-abrt
gnome-abrt.noarch: E: explicit-lib-dependency libreport
gnome-abrt.noarch: E: explicit-lib-dependency libreport

I guess, it is OK in this particular case.
Comment 3 Michael Scherer 2012-08-27 13:50:44 EDT
%{_datadir}/%{name}/icons/hicolor/*/status/*

This will produce unowned directories
Comment 4 Jakub Filak 2012-08-29 05:39:04 EDT
(In reply to comment #3)
> %{_datadir}/%{name}/icons/hicolor/*/status/*
> 
> This will produce unowned directories

Spec URL: http://jfilak.fedorapeople.org/packages/gnome-abrt.spec
SRPM URL: http://jfilak.fedorapeople.org/packages/gnome-abrt-0.2-8.fc17.src.rpm
Spec diff: http://jfilak.fedorapeople.org/packages/spec-027-to-028.diff

Thanks! I hope I've fixed it correctly ...
Comment 5 Richard Marko 2012-09-05 10:51:11 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated

==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[-]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package contains desktop file if it is a GUI application.
[x]: MUST Package installs a %{name}.desktop using desktop-file-install if
     there is such a file.
[-]: MUST Development files must be in a -devel package
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[-]: MUST Package obeys FHS, except libexecdir and /usr/target.
[-]: MUST If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD Buildroot is not present
[x]: SHOULD Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[-]: SHOULD Scriptlets must be sane, if used.
[x]: SHOULD SourceX tarball generation or download is documented.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Rpmlint
-------
Checking: gnome-abrt-0.2-8.fc17.src.rpm
          gnome-abrt-0.2-8.fc17.noarch.rpm
gnome-abrt.noarch: E: explicit-lib-dependency libreport
2 packages and 0 specfiles checked; 1 errors, 0 warnings.


Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:
Requires
--------
gnome-abrt-0.2-8.fc17.noarch.rpm (rpmlib, GLIBC filtered):
    
    /bin/sh  
    /usr/bin/env  
    dbus-python  
    libreport  
    pygobject3  
    python(abi) = 2.7
    python-inotify  

Provides
--------
gnome-abrt-0.2-8.fc17.noarch.rpm:
    
    gnome-abrt = 0.2-8.fc17

MD5-sum check
-------------
https://github.com/downloads/jfilak/abrt-gnome-oops/gnome-abrt-0.2.tar.gz :
  CHECKSUM(SHA256) this package     : dfcc285867db22b9a7abf3265836a89ac1d22ab44570bf95a82139eb9b120d84
  CHECKSUM(SHA256) upstream package : dfcc285867db22b9a7abf3265836a89ac1d22ab44570bf95a82139eb9b120d84

Generated by fedora-review 0.2.2 (9f8c0e5) last change: 2012-08-09
Command line :/usr/bin/fedora-review -b 851583


Approved.
Comment 6 Jakub Filak 2012-09-07 01:59:02 EDT
New Package SCM Request
=======================
Package Name: gnome-abrt
Short Description: A utility for viewing problems that have occurred with the system
Owners: jfilak
Branches: f17 f18 el6
InitialCC:
Comment 7 Gwyn Ciesla 2012-09-07 05:53:22 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2012-09-10 11:51:58 EDT
gnome-abrt-0.2-9.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/gnome-abrt-0.2-9.fc17
Comment 9 Fedora Update System 2012-09-10 18:26:46 EDT
gnome-abrt-0.2-9.fc17 has been pushed to the Fedora 17 testing repository.
Comment 10 Fedora Update System 2012-09-22 23:27:16 EDT
gnome-abrt-0.2-9.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.